#! /usr/bin/env sh

echo "Building ${DEB_CODENAME} ${DEB_ARCH}"

cd /data/output &&

debootstrap --arch="${DEB_ARCH}" --variant=minbase "${DEB_CODENAME}" ./chroot http://ftp.us.debian.org/debian/ &&
cp /run_chroot.sh ./chroot &&
chmod +x ./chroot/run_chroot.sh &&

chroot ./chroot /run_chroot.sh &&

rm -f filesystem.squashfs initrd.img vmlinuz &&
mksquashfs ./chroot filesystem.squashfs -e boot &&
cp ./chroot/boot/vmlinuz* vmlinuz &&
cp ./chroot/boot/initrd* initrd.img
