#! /usr/bin/env sh

echo "${DEB_HOSTNAME}" > /etc/hostname &&

apt-get update && \
apt-get install \
    --no-install-recommends \
    --yes \
    --force-yes \
    linux-image-amd64 \
    live-boot \
    systemd-sysv \
    openssh-server &&

sed -ie 's/#PermitRootLogin.*/PermitRootLogin yes/' /etc/ssh/sshd_config &&

apt-get install \
    --no-install-recommends \
    --yes \
    --force-yes \
    ${DEB_APT_PACKAGES} &&

echo "${DEB_PASSWD}\n${DEB_PASSWD}" | passwd
